Subject: Re: Planned experiment: A new mailing list for last-call discussions

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2019 09:44:46 -0400

--On Sunday, September 15, 2019 19:28 -0700 Eric Rescorla
<[email-masked]> wrote:

>> I almost agree.  There have certainly been weeks lately in
>> which I would classify the bulk of the traffic on the main
>> IETF list as unpleasant and have wished that much of hadn't
>> reached me. However, we claim that the basis of what we do is
>> "IETF consensus".  Today, someone who opts out of the IETF
>> list essentially opts out of that consensus process no matter
>> how active they might be in, e.g., particular WGs.
> 
> 
> I'm not sure on what basis you make that claim, but I don't
> agree. The discussion in the WG is part of the consensus
> proces.

Absolutely and I didn't intend to suggest otherwise.  However,
as Melinda has pointed out, WG consensus is not IETF consensus.
My continuing concern, as I have expressed in other contexts
recently, is that the quality of cross-area review -- careful
review by participants who are not active in the WG or even in
the WG's area of work-- is deteriorating and that what we mean
by "IETF consensus" is consequently changing without or
explicitly recognizing that.  

If WG participants choose to sit out the IETF LC on one if their
documents, I can understand that.  If an issue is raised during
IETF LC that has been discussed and resolved in the WG, I expect
that information to be injected into the LC discussion by WG
participants, document authors, WG Chairs, or the AD.  If none
of those people are watching and find that the issue has been
raised on the IETF list, we have a problem.   That is
particularly important, IMO, because "the WG discussed that
issue and concluded X" should be important input to a Last Call
discussion but must not end that discussion because there would
then be too much risk that a small number of participants (or
their companies) would determine the IETF decisions.

I am concerned that the need to copy WG mailing lists with LC
comments means that too many participants in individual WGs are
not taking on responsibility for reviewing work in other WGs and
areas but have no illusions that dropping those copies would
change the LC participation level significantly.  

But, again, my concern is that we get the best cross-area
reviews possible and reach IETF consensus on that basis, not
that WG participation and consensus within the WG is unimportant.

   best,
   john

---

From: Barry Leiba <[email-masked]>
Date: Mon, 16 Sep 2019 07:15:56 -0700

Hi, John,

> that WG participation and consensus within the WG is unimportant.

Indeed, John, and I understand and agree with that.

I think the issue is that you (and a few others) are concerned that if
we move last-call discussion to another list, fewer people will follow
that list, and, therefore, fewer people will be exposed to the
last-call discussions and possibly be moved to join some of them.

On the other hand, others, including the people who suggested the
split in the first place, think that actually *more* people will be
likely to pay attention to the last-call discussion if they're on a
mailing list that's separate from the high-volume that is the IETF
Discussion list.

As these are both valid views and we don't know which is correct, it
seems to me that the only way to find out what will *actually* happen
will be to run the experiment.  Do you know another way?

Barry

---

From: Julian Reschke <[email-masked]>
Date: Mon, 16 Sep 2019 16:32:22 +0200

> will be to run the experiment.  Do you know another way?

Good points.

I wonder whether we actually should dedicate the new list to *anything*
that is about IETF consensus, not only last calls (so the idea would be:
"important things go here").

Best regards, Julian

---

From: Melinda Shore <[email-masked]>
Date: Mon, 16 Sep 2019 08:12:13 -0800

> will be to run the experiment.  Do you know another way?

I think it's reasonable.

Melinda

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2019 12:34:28 -0400

--On Monday, September 16, 2019 07:15 -0700 Barry Leiba
<[email-masked]> wrote:

> I think the issue is that you (and a few others) are concerned
> that if we move last-call discussion to another list, fewer
> people will follow that list, and, therefore, fewer people
> will be exposed to the last-call discussions and possibly be
> moved to join some of them.
> 
> On the other hand, others, including the people who suggested
> the split in the first place, think that actually *more*
> people will be likely to pay attention to the last-call
> discussion if they're on a mailing list that's separate from
> the high-volume that is the IETF Discussion list.
> 
> As these are both valid views and we don't know which is
> correct, it seems to me that the only way to find out what
> will *actually* happen will be to run the experiment.  Do you
> know another way?

Barry,

No, I don't see another way and that is one of several reasons
why, although I [still] question the timing (no need to recycle
that discussion) I have been in favor of doing this, as an
experiment, from the beginning.  I am raising these issues now
in the hope that it will increase our sensitivity to the risks
and tradeoffs involved as we evaluate the experiment and what
information it might be useful to obtain to understand our
baseline before we start (the conversation between you and Brian
has, IMO, been very helpful that regards).

   best,
   john

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2019 12:45:07 -0400

--On Monday, September 16, 2019 16:32 +0200 Julian Reschke
<[email-masked]> wrote:

>> I think the issue is that you (and a few others) are
>> concerned that if we move last-call discussion to another
>> list, fewer people will follow that list, and, therefore,
>> fewer people will be exposed to the last-call discussions and
>> possibly be moved to join some of them.
>> 
> I wonder whether we actually should dedicate the new list to
> *anything* that is about IETF consensus, not only last calls
> (so the idea would be: "important things go here").

This is a serious question despite the way I'm about to ask it,
but, if we successfully did a split on that basis, wouldn't that
leave us an "IEFF Last Call" list and an "IETF Noise and
Whining" list?   It also suggests something else: would it make
sense to do a three-way split:

 * IETF Last Calls on technical specifications (including
	technical A/S documents)
	
 * IETF Last Calls on procedural specifications (as
	recent examples, that would include all of the
	anti-harassment documents, all of the IASA2 work, and
	any documents that arise out of the recent discussions
	about recalls and recall eligibility)
	
 * Everything else 

At present, I'm agnostic about which of those categories IETF
Last Calls and other requests for input that fall into neither
of the first two categories, including statements about what the
IETF believes about various topics, proposed IESG statements,
and discussion of IAB proposed statements that expand only IETF
lists, would go, but that may need clarification even if we stay
with a two-way split.

best,
   john

---

From: Keith Moore <[email-masked]>
Date: Mon, 16 Sep 2019 13:12:20 -0400

> "important things go here"). 

The reason we sometimes have heated discussion on the IETF list, is 
precisely that the IETF list is a place where people can discuss matters 
of great importance.

Keith

---

From: Rob Sayre <[email-masked]>
Date: Mon, 16 Sep 2019 14:09:13 -0500

> sense to do a three-way split:

I think this raises a good point, but I would modify the solution based on
the current list description.

1) "It furthers the development and specification of Internet technology
through discussion of technical issues"

>  * IETF Last Calls on technical specifications (including

2) "it hosts discussions of IETF direction, policy, and procedures"

>         about recalls and recall eligibility)

So, I think there is an argument for keeping procedural RFCs and
"everything else" on [email-masked]. I'm not sure how easy it would be to do
that.

I do think email provides a nice escape hatch if there's an edge case where
it's not clear which list is best: CC both lists. Hopefully, that will be
rare.

thanks,
Rob

---

From: "Pete Resnick" <[email-masked]>
Date: Mon, 16 Sep 2019 14:35:08 -0500

> mailing list that's separate from the high-volume that is the IETF

Indeed, it's possible that more people will follow the general 
discussion list than they do now, in addition to following the last-call 
list: Part of the problem people are expressing is the inability to wade 
through the volume. I presume that most people now have different IETF 
lists go to different views or mailboxes in their client, or (like me) 
use the IETF IMAP server and read multiple mailboxes, each in it's own 
view. If I know that I can go to the last-call list when I'm in the mood 
for technical discussions, or go to the general list when I'm in the 
mood for other sorts of discussions, I'm likely to do both on a regular 
basis, and less likely to be discouraged from doing one for fear of 
having to wade through the other.

BTW: With regard to the IMAP server, it might be good to see what stats 
you can get on usage there. You may find people subscribed to lists that 
way and not in mailman. (I happen to remain subscribed in mailman 
because some lists don't use the Global-Whitelist for posting 
privileges.) If you only look at regular subscriptions, you may miss 
some data.

pr
-- 
Pete Resnick http://www.episteme.net/
All connections to the world are tenuous at best

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2019 15:56:14 -0400

--On Monday, September 16, 2019 14:09 -0500 Rob Sayre
<[email-masked]> wrote:

>> This is a serious question despite the way I'm about to ask
>> it, but, if we successfully did a split on that basis,
>> wouldn't that leave us an "IEFF Last Call" list and an "IETF
>> Noise and Whining" list?   It also suggests something else:
>> would it make sense to do a three-way split:
>> 
> 
> I think this raises a good point, but I would modify the
> solution based on the current list description.
> 
> 1) "It furthers the development and specification of Internet
> technology through discussion of technical issues"
> 
> 
> So, I think there is an argument for keeping procedural RFCs
> and "everything else" on [email-masked]. I'm not sure how easy
> it would be to do that.

Actually, Rob, what I think I've observed is that the really
long, tedious, threads on which many people have opinions and
feel a need to express them multiple times are typically about
procedural issues, with many, if not most, derived from
documents in Last Call.  So maybe three lists rather than two or
maybe we should push the procedural and administrative
discussions off into an "ietf-procedures" list and keep the
technical discussions and Last Calls on the IETF one.  

And I told someone who wrote me off-list, I'm not sure the above
is a serious suggestion, but it is another way in which I think
we should be thinking clearly about what we are doing and its
implications.

> I do think email provides a nice escape hatch if there's an
> edge case where it's not clear which list is best: CC both
> lists. Hopefully, that will be rare.

Prior experience suggests that it often leads to parallel
discussions that don't quite synchronize as some people post to
one list, some to the other, and some to both.

 best,
   john

---

From: Rob Sayre <[email-masked]>
Date: Mon, 16 Sep 2019 15:12:18 -0500

> technical discussions and Last Calls on the IETF one.

I don't think it matters which list is which, but I do think the spirit of
the proposal is to keep both the procedural ratholes (like this one...) and
the catch-all/backstop/everything-else discussions away from the technical
last-call traffic.

thanks,
Rob

---

From: "John Levine" <[email-masked]>
Date: 17 Sep 2019 16:08:23 -0700

In article <[email-masked]> you write:
>privileges.)

I get all of my messages from IETF lists using the IMAP server.  Works great.

It avoids a lot of DMARC and other spam filtering problems, and I can
manage my "subscriptions" all locally.

R's,
John